# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   Learn finger alignment on keyboards.
Name:      touchtyper
Version:   1.0
Release:   rc1
Copyright: Artistic
Vendor:    rn E. Hansen <orn.hansen@swipnet.se>
Url:       http://typingtrainer.sourceforge.net

Packager:  rn E. Hansen <orn.hansen@swipnet.se>
Group:     Applications/Tools
Source:    touchtyper-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root

%description
Touch Typer, is a part of the Typing Trainer suite.  It assist with the very basic of learning how to type, by providing a user friendly interface, which show finger layout and what finger to type each character.

%prep
%setup
. /etc/opt/kde3/common_options
update_admin
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 --build=i386-linux --host=i386-linux  \
                $configkde --datadir=$kde_datadir\
                $FLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.touchtyper
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.touchtyper
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.touchtyper

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/touchtyper
rm -rf ../file.list.touchtyper


%files -f ../file.list.touchtyper
