/***************************************************************************
                          trainingcourse  -  description
                             -------------------
    begin                : ons feb 11 2004
    copyright            : (C) 2004 by rn E. Hansen
    email                : orn.hansen@swipnet.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef TRAININGCOURSE_H
#define TRAININGCOURSE_H

#include "userexercize.h"

/**
This class holds information, that is pertinent to an entire training course,
this includes training levels and training exercizes.


@author rn E. Hansen
*/
class TrainingCourse {
public:
    TrainingCourse();
    ~TrainingCourse();
		void init(const QString&);
		QDomElement getExercize(const QString&, const QString&);
    void nextExercize(UserExercize&);
		QString nextLevel(const QString&);

protected:
		QDomDocument	mDocument;
		
};

#endif
