/***************************************************************************
                          userexercize  -  description
                             -------------------
    begin                : sn jan 4 2004
    copyright            : (C) 2004 by rn E. Hansen
    email                : orn.hansen@swipnet.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef USEREXERCIZE_H
#define USEREXERCIZE_H

#include <qdom.h>
#include <qstring.h>

/**
Common class to hold user exercize information.

@author rn E. Hansen
*/
class UserExercize {
public:
    UserExercize();
		UserExercize(QDomElement&);
    ~UserExercize();
    QString exercize();
    bool accept(int,int);
    QString exercizeNumber() const;
    QString level() const;
    void init(QDomElement&);
    void advanceLevel(const QString&);

private:
		QString mExercizeLevel;
    QString mExercizeText;
		QString mExercizeNumber;
    int mMaxTime;
    int mMinTime;
    int mMaxErrors;
private:
    void init();
};

#endif
